Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.model
Class Triple

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.model.Triple

public class Triple
extends Object

Represents an RDF triple/statement

Constructor Summary
`Triple(String pred, String sub, Literal obj)`
`Triple(String pred, String sub, String obj)`

Method Summary
`boolean` | `getIsObjectResource()` Returns the type of the object.
`Object` | `getObject()` Returns the object of the triple
`String` | `getPredicate()` Returns the predicate of the triple
`String` | `getSubject()` Returns the subject of the triple
`void` | `setIsObjectResource(boolean isRes)` Sets the type of the object.
`void` | `setObject(Literal object)` Sets the object of the triple, when object is literal
`void` | `setObject(String object)` Sets the object of the triple, when object is resource
`void` | `setPredicate(String predicate)` Sets the predicate of the triple
`void` | `setSubject(String subject)` Sets the subject of the triple

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Triple

    public Triple(String pred,
                  String sub,
                  String obj)

### Triple

    public Triple(String pred,
                  String sub,
                  Literal obj)

Method Detail

### getPredicate

    public String getPredicate()

  Returns the predicate of the triple

### setPredicate

    public void setPredicate(String predicate)

  Sets the predicate of the triple

### getSubject

    public String getSubject()

  Returns the subject of the triple

### setSubject

    public void setSubject(String subject)

  Sets the subject of the triple

### getObject

    public Object getObject()

  Returns the object of the triple

### setObject

    public void setObject(String object)

  Sets the object of the triple, when object is resource

### setObject

    public void setObject(Literal object)

  Sets the object of the triple, when object is literal

### getIsObjectResource

    public boolean getIsObjectResource()

  Returns the type of the object. True when the object is resource.

### setIsObjectResource

    public void setIsObjectResource(boolean isRes)

  Sets the type of the object. True when the object is resource.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD